import React from 'react';
import styled from 'styled-components';
import Truncate from '.';
import { Typography } from '../..';
export default {
  title: 'Atoms / Truncate',
  parameters: {
    component: Truncate
  }
};
var StyledDiv = styled.div.withConfig({
  displayName: "Truncatestories__StyledDiv",
  componentId: "sc-1d9q8y6-0"
})(["max-width:", "px;"], function (p) {
  return p.theme.spacing.unit(35);
});
export var TruncateDefault = function TruncateDefault() {
  return React.createElement(StyledDiv, null, React.createElement(Truncate, null, React.createElement(Typography, {
    type: "primary"
  }, "This text will be truncated after 35 units")));
};